<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1OSXPBuffer.html">OSXPBuffer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::OSXPBuffer Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1OSXPBuffer.html">Ogre::OSXPBuffer</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXPBuffer.html#a0e6c2fd9909c73aee997dbe77bad8a7d">createPBuffer</a>()</td><td><a class="el" href="classOgre_1_1OSXPBuffer.html">Ogre::OSXPBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXPBuffer.html#a1a81e6b8d02b1bb79d4c0e86486e8a6a">destroyPBuffer</a>()</td><td><a class="el" href="classOgre_1_1OSXPBuffer.html">Ogre::OSXPBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXPBuffer.html#a6c43f0f9acee17e979db65b5d72b262c">getContext</a>()</td><td><a class="el" href="classOgre_1_1OSXPBuffer.html">Ogre::OSXPBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBuffer.html#a79f78d53cfc6f515136ca9c5a488b1ae">getFormat</a>()</td><td><a class="el" href="classOgre_1_1GLPBuffer.html">Ogre::GLPBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBuffer.html#ad2e3e5c9a28060d84139edc83de18a78">getHeight</a>()</td><td><a class="el" href="classOgre_1_1GLPBuffer.html">Ogre::GLPBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBuffer.html#a98a0b650eb58c396dc0f80c0579c2fd7">getPixelComponentType</a>(PixelFormat fmt)</td><td><a class="el" href="classOgre_1_1GLPBuffer.html">Ogre::GLPBuffer</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBuffer.html#a8601b96b0a4762945345802323ab6d1d">getWidth</a>()</td><td><a class="el" href="classOgre_1_1GLPBuffer.html">Ogre::GLPBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBuffer.html#a2c34be310243477e2d785f6098bd34c0">GLPBuffer</a>(PixelComponentType format, size_t width, size_t height)</td><td><a class="el" href="classOgre_1_1GLPBuffer.html">Ogre::GLPBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXPBuffer.html#a06e60c104b6df6b944fcc799358cb396">mAGLContext</a></td><td><a class="el" href="classOgre_1_1OSXPBuffer.html">Ogre::OSXPBuffer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXPBuffer.html#a925c089630f4d2da9404d826c5ead231">mContext</a></td><td><a class="el" href="classOgre_1_1OSXPBuffer.html">Ogre::OSXPBuffer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBuffer.html#ae1cc8696d257700ac97ac7260c0a7e29">mFormat</a></td><td><a class="el" href="classOgre_1_1GLPBuffer.html">Ogre::GLPBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBuffer.html#a73ccc26b915e05ec14f474aa8412f574">mHeight</a></td><td><a class="el" href="classOgre_1_1GLPBuffer.html">Ogre::GLPBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXPBuffer.html#af068bf2779932850683831adbb031cc8">mPBuffer</a></td><td><a class="el" href="classOgre_1_1OSXPBuffer.html">Ogre::OSXPBuffer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBuffer.html#a1dad8a029d710b55e55fd23df1c5a595">mWidth</a></td><td><a class="el" href="classOgre_1_1GLPBuffer.html">Ogre::GLPBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXPBuffer.html#a206d64942766b7a096fdda5a4bc75e93">OSXPBuffer</a>(PixelComponentType format, size_t width, size_t height)</td><td><a class="el" href="classOgre_1_1OSXPBuffer.html">Ogre::OSXPBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLPBuffer.html#a2708f8444c54a26066b253d21d326c6c">~GLPBuffer</a>()</td><td><a class="el" href="classOgre_1_1GLPBuffer.html">Ogre::GLPBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXPBuffer.html#a7c71375cb5d7bf0a23115555239f6314">~OSXPBuffer</a>()</td><td><a class="el" href="classOgre_1_1OSXPBuffer.html">Ogre::OSXPBuffer</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:21
</p>
</body>
</html>
